<?php

namespace App\Http\Controllers\Agenda;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use App\Libraries\ejLib;
Use SimpleXMLElement;

class ProcedimientosController extends Controller
{
	public function agenda_addFolioConsulta(){ 
 	 	session_start();  
		$var = ejLib::getInstance();
		$soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        $centro_sal = '';
        $clave_pac = '';
        $id_especialidad = '';
        $id_med_con= '';
        $id_cita='';

	   

    	if(isset($_POST['centro_sal']))$centro_sal=$_POST['centro_sal'];
    	if(isset($_POST['clave_pac']))$clave_pac=$_POST['clave_pac'];
    	if(isset($_POST['id_especialidad']))$id_especialidad=$_POST['id_especialidad'];
        if(isset($_POST['id_med_con']))$id_med_con=$_POST['id_med_con'];
        if(isset($_POST['id_cita']))$id_cita=$_POST['id_cita'];
    
    

		$objeto = $soapclient->Agenda_add_FolioConsultaExterna($centro_sal, $clave_pac, $id_especialidad, $id_med_con, $id_cita, $wsClave);
		
		$xml  = new SimpleXMLElement(utf8_encode($objeto));
     	if( $xml->respuesta->error == '1' ) {
         	$Notif=    array('error' => '1', 'titulo' => utf8_decode($xml->respuesta->tituloerror) , 'detalle' => utf8_decode($xml->respuesta->descripcionerror));         
         	echo $Notif["detalle"];
         	?>
		      <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta[0]->error;  ?>">
		      <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta[0]->tituloerror);  ?>">
		      <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta[0]->descripcionerror);  ?>">
     		<?php
              return;
		}else{     
            return view('ConsultaExterna.Agenda.iniciarNotaMedica', compact('xml'));
 	    }

    }

    public function upsert_indicacionesNota(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) || !isset($_POST['indicaciones']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];
        $indicaciones=$_POST['indicaciones'];

        $objeto = $soapclient->Agenda_UpSert_Indicaciones($centro_sal, $folio, $indicaciones, $wsClave);
        
        $xml  = new SimpleXMLElement(utf8_encode($objeto));
              
        echo utf8_decode($xml->respuesta->titulo);
        ?>
              <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta->error;  ?>">
              <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta->titulo);  ?>">
              <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta->descripcion);  ?>">
        <?php        
        return;
    }

    public function upsert_dietaCuidadosNota(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) || !isset($_POST['dieta']) || !isset($_POST['cuidados']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];
        $dieta=$_POST['dieta'];
        $cuidados=$_POST['cuidados'];
        
        $objeto = $soapclient->Agenda_UpSert_DietaCuidados($centro_sal, $folio, $dieta, $cuidados, $wsClave);
        
        $xml  = new SimpleXMLElement(utf8_encode($objeto));
              
        echo utf8_decode($xml->respuesta->titulo);
        ?>
              <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta->error;  ?>">
              <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta->titulo);  ?>">
              <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta->descripcion);  ?>">
        <?php        
        return;
    }



    public function upsert_evolucionPronosticoNota(){

        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();
    if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) || !isset($_POST['evolucion_pronostico']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];
        $evolucion_pronostico=$_POST['evolucion_pronostico'];
        
        $objeto = $soapclient->Agenda_UpSert_EvolucionPronostico($centro_sal, $folio, $evolucion_pronostico, $wsClave);
        
        $xml  = new SimpleXMLElement(utf8_encode($objeto));
              
        echo utf8_decode($xml->respuesta->titulo);
        ?>
              <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta->error;  ?>">
              <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta->titulo);  ?>">
              <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta->descripcion);  ?>">
        <?php        
        return;
    }

    // 13 Ene 2023 Janeth C.
    public function upsert_somatometria(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();
        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) || !isset($_POST['tipo']) || !isset($_POST['id_doc']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");
        // Sistolica Diastolica Cardiaca Respiratoria Peso Talla Glucemia Ayuno Cintura Per_Cefalico cadera brazo PULSO PREMATURO ORIENTACION_ALIM FECHA_ORIEN HB ID_DOC OXIMETRIA cartilla wsClave
        $centro_sal=$_POST['centro_sal'];
        $id=$_POST['folio'];
        $tipo=$_POST['tipo'];
        $temperatura=$_POST['temperatura'];
        $sistolica=$_POST['sistolica'];
        $diastolica=$_POST['diastolica'];
        $cardiaca=$_POST['cardiaca'];
        $respiratoria=$_POST['respiratoria'];
        $oximetria=$_POST['oximetria'];
        $glucemia=$_POST['glucemia'];
        $hemoglobina=$_POST['hemoglobina'];
        $orientacion=$_POST['orientacion'];
        $fechaOrientacion=$_POST['fechaOrientacion'];
        $cintura=$_POST['cintura'];
        $cadera=$_POST['cadera'];
        $brazo=$_POST['brazo'];
        $peso=$_POST['peso'];
        $talla=$_POST['talla'];
        $cefalico=$_POST['cefalico'];
        $prematuro=$_POST['prematuro'];
        $cartilla=$_POST['cartilla'];
        $pulso=$_POST['pulso'];
        $ayuno=$_POST['ayuno'];
        $id_doc=$_POST['id_doc'];

   

    //print_r ($centro_sal.', '.$id.', '. $tipo.', '. $temperatura.', '. $sistolica.', '. $diastolica.', '. $cardiaca.', '. $respiratoria.', '. $peso.', '. $talla.', '. $glucemia.', '. $ayuno.', '. $cintura.', '. $cefalico.', '. $cadera.', '. $brazo.', '. $pulso.', '. $prematuro.', '. $orientacion.', '. $fechaOrientacion.', '. $hemoglobina.', '. $id_doc.', '. $oximetria.', '. $cartilla); 


        $objeto = $soapclient->Agenda_UpSert_Somatometria($centro_sal, $id, $tipo, $temperatura, $sistolica, $diastolica, $cardiaca, $respiratoria, $peso, $talla, $glucemia, $ayuno, $cintura, $cefalico, $cadera, $brazo, $pulso, $prematuro, $orientacion, $fechaOrientacion, $hemoglobina, $id_doc, $oximetria, $cartilla, $wsClave);
    
        $xml  = new SimpleXMLElement(utf8_encode($objeto));
         echo utf8_decode($xml->respuesta->titulo);
        ?>
              <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta->error;  ?>">
              <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta->titulo);  ?>">
              <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta->descripcion);  ?>">
        <?php        
        return;
    }
            

    

    public function upsert_recomendacionesNota(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) || !isset($_POST['recomendaciones']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];
        $recomendaciones=$_POST['recomendaciones'];

        $objeto = $soapclient->Agenda_UpSert_Recomendaciones($centro_sal, $folio, $recomendaciones, $wsClave);
        
        $xml  = new SimpleXMLElement(utf8_encode($objeto));
              

        echo utf8_decode($xml->respuesta->titulo);
        ?>
              <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta->error;  ?>">
              <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta->titulo);  ?>">
              <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta->descripcion);  ?>">
        <?php        
        return;
    }



     public function up_psoaNota(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) || !isset($_POST['problema']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];
        $problema=$_POST['problema'];
        $sintomas=$_POST['sintomas'];
        $Objetivo=$_POST['Objetivo'];
        $analisis=$_POST['analisis'];

       // echo $problema .'-'.$sintoma$Objetivo;

        $objeto = $soapclient->Agenda_UpSert_PSOA($centro_sal, $folio, $problema,$sintomas,$Objetivo,$analisis, $wsClave);
       // print_r($objeto);
        
        $xml  = new SimpleXMLElement(utf8_encode($objeto));
              
        echo utf8_decode($xml->respuesta->titulo);
        ?>
              <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta->error;  ?>">
              <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta->titulo);  ?>">
              <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta->descripcion);  ?>">
        <?php        
        return;
    }

    // 08 Feb 2021 Funcion para registrar procedimiento en nota de urgencias - estadistica
    public function add_procedimientoNota(){

        $var = ejLib::getInstance();

       
        $folio_nota='';
        $clave_cie9='';
        $centro_sal='';
        $id_complemento='';
        $diag='';
        
        if(isset($_POST['folio_nota']))$folio_nota=$_POST['folio_nota'];
        if(isset($_POST['clave_cie9']))$clave_cie9=$_POST['clave_cie9'];
        if(isset($_POST['id_complemento']))$id_complemento=$_POST['id_complemento'];
        if(isset($_POST['centro_sal']))$centro_sal=$_POST['centro_sal'];
        if(isset($_POST['diag']))$diag=$_POST['diag'];
        

        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

//echo "Folio->".$folio_nota." Clave->".$clave_cie9." CentroSal->".$centro_sal." WSC->".$wsClave;
        $objProcedimientos = $soapclient->Agenda_add_Procedimiento($folio_nota, $clave_cie9, $centro_sal, $wsClave);
        // print_r($objProcedimientos);
        //echo $id_complemento."-Folionota:".$folio_nota."-clave:".$clave_cie9;


        $objProcedimientosNota = $soapclient->ConsultaExterna_getLstProcedimientosNota($folio_nota, $centro_sal, $wsClave);
        $Procedimientos  = new SimpleXMLElement(utf8_encode($objProcedimientosNota));
//print_r($objProcedimientosNota);
        ?>
            <table style="font-size: 12px; width: 95%; margin:auto;" class="table table-hover table-bordered">
                        <tr>
                          <th style="text-align: center; width: 100px;">Clave</th>
                          <th style="text-align: center;">Procedimiento</th>
                          <th style="text-align: center; width: 100px;">Opciones</th>
                        </tr>
                    <?php
                  foreach($Procedimientos->respuesta as $reg){
                    if( !isset($reg->error) ){
                      ?>
                        <tr>
                          <td><?php echo $reg->cvecie9; ?></td>
                          <td><?php echo $reg->nom_procedimiento; ?></td>
                          <td style="text-align: center;"><span class="fa fa-times tirar" onclick="quitarProcedimiento('<?php echo $reg->cvecie9; ?>', '<?php echo $reg->folio_nota; ?>','<?php echo $reg->centro_sal; ?>');"></span></td>
                        </tr>
                    <?php
                    
                    }else{
                      ?>
                        <tr>
                          <td>------</td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr> 
                    <?php
                    }
                  }?>
            </table> <?php
        
    }

    
    public function delProcedimiento(){

        $var = ejLib::getInstance();

        $folio='';
        $centro_sal='';
        $clave='';
        //$id_doc='NULL';

        if(isset($_POST['folio']))$folio=$_POST['folio'];
        if(isset($_POST['centro_sal']))$centro_sal=$_POST['centro_sal'];
        if(isset($_POST['clave']))$clave=$_POST['clave'];


        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();
        //echo "Folio:->".$folio." Centro:->".$centro_sal."Clave:->".$clave;

        $delProcedimiento = $soapclient->ConsultaExterna_del_procedimientosNota($folio, $centro_sal, $clave, $wsClave);
       // print_r($delProcedimiento);

        $objProcedimientos = $soapclient->ConsultaExterna_getLstProcedimientosNota($folio, $centro_sal, $wsClave);
        $Procedimientos  = new SimpleXMLElement(utf8_encode($objProcedimientos));
        ?>
            <table style="font-size: 12px; width: 95%; margin:auto;" class="table table-hover table-bordered">
                        <tr>
                          <th style="text-align: center; width: 100px;">Clave</th>
                          <th style="text-align: center;">Diagn&oacute;stico</th>
                          <th style="text-align: center; width: 100px;">Opciones</th>
                        </tr>
                    <?php
                   foreach($Procedimientos->respuesta as $reg){
                    if( !isset($reg->error) ){
                      ?>
                        <tr>
                          <td><?php echo $reg->cvecie9 ; ?></td>
                          <td><?php echo utf8_decode($reg->nom_procedimiento); ?></td>
                          <td style="text-align: center;"><span class="fa fa-times tirar" onclick="quitarProcedimiento('<?php echo $reg->cvecie9; ?>', '<?php echo $reg->folio; ?>','<?php echo $reg->centro_sal; ?>');"></span></td>
                        </tr>
                    <?php
                    }else{
                      ?>
                        <tr>
                          <td>------</td>
                          <td></td>
                          <td style="text-align: center;"></td>
                        </tr>
                    <?php
                    }
                  }?>
            </table> <?php
    }

      public function upsert_estadoSalud(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) || !isset($_POST['estado_salud']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];
        $estado_salud=$_POST['estado_salud'];
       
        $objeto = $soapclient->Agenda_UpSert_EstadoSalud($centro_sal, $folio, $estado_salud, $wsClave);
       
        $xml  = new SimpleXMLElement(utf8_encode($objeto));
              
        //echo utf8_decode($xml->respuesta->titulo);
        ?>
              <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta->error;  ?>">
              <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta->titulo);  ?>">
              <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta->descripcion);  ?>">
        <?php        
        return;
    }



    // 23 Ene 2023 Procedimiento para agregar/actualizar un estudio de gabinete asignado a una nota
    public function addEstudioGNota(){
      $var = ejLib::getInstance();
       
      $folio='null';
      $centro_sal='null';
      $id_cie9mc='';        
      $detalles='';        
        
      if(isset($_POST['folio']))$folio=$_POST['folio'];
      if(isset($_POST['centro_sal']))$centro_sal=$_POST['centro_sal'];
      if(isset($_POST['id_cie9mc']))$id_cie9mc=$_POST['id_cie9mc'];
      if(isset($_POST['detalles']))$detalles=$_POST['detalles'];
         

      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();

      $objProcedimientos = $soapclient->Agenda_add_EstudioGNota($folio, $centro_sal, $id_cie9mc, $detalles, $wsClave);
              
      echo $var->getView('Agenda\FuncionesController@getLstEstudiosGNota','folio='.$folio.'&centro_sal='.$centro_sal);
    }

    // 23 Ene 2023 Procedimiento para remover un estudio de gabinete asignado a una nota
    public function delEstudioGNota(){
      $var = ejLib::getInstance();
       
      $folio='null';
      $centro_sal='null';
      $id_cie9mc='';        
        
      if(isset($_POST['folio']))$folio=$_POST['folio'];
      if(isset($_POST['centro_sal']))$centro_sal=$_POST['centro_sal'];
      if(isset($_POST['id_cie9mc']))$id_cie9mc=$_POST['id_cie9mc'];
         

      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();

      $objProcedimientos = $soapclient->Agenda_del_EstudioGNota($folio, $centro_sal, $id_cie9mc, $wsClave);
              
      echo $var->getView('Agenda\FuncionesController@getLstEstudiosGNota','folio='.$folio.'&centro_sal='.$centro_sal);
    }

     public function add_diagnosticosNota(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();
  
        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) || !isset($_POST['clave']) || !isset($_POST['tipo_diagnostico']) || !isset($_POST['primera_vez']) || !isset($_POST['confirmado']) || !isset($_POST['principal']) || !isset($_POST['observaciones'])|| !isset($_POST['clave_pac'])) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];
        $clave=$_POST['clave'];
        $tipo_diagnostico=$_POST['tipo_diagnostico'];
        $primera_vez=$_POST['primera_vez'];
        $confirmado=$_POST['confirmado'];
        $principal=$_POST['principal'];
        $observaciones=$_POST['observaciones'];
        $clave_pac=$_POST['clave_pac'];
       
      
       // validamos que el diagnostico sea valido
        $objeto = $soapclient->Agenda_chkDiagnosticoValidoNota($clave_pac, $clave, $wsClave);
        $xml  = new SimpleXMLElement(utf8_encode($objeto));

        if( $xml->respuesta->aceptado == '0' ){   
        

                ?>
                  <input type="hidden" id="hError" name="hError" value="1">
                  <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="Diagnostico no valido">
                  <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="Diagnostico no valido">
                <?php
                die();
        }
 
        $addDiagnosticos = $soapclient->Agenda_add_DiagnosticosNota($centro_sal, $folio, $clave, $tipo_diagnostico, $primera_vez, $confirmado, $principal, $observaciones, $wsClave);
       $rsDiagnostico  = new SimpleXMLElement(utf8_encode($addDiagnosticos));
       
        if( $rsDiagnostico->respuesta->error > 0 ){   
        

                ?>
                  <input type="hidden" id="hError" name="hError" value="<?php echo $rsDiagnostico->respuesta->error;  ?>">
                  <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo $rsDiagnostico->respuesta->titulo; ?>">
                  <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo $rsDiagnostico->respuesta->descripcion;  ?>">
                <?php
               // die();
        }

         $getDiagnosticos = $soapclient->Agenda_getLstDiagnosticosNota($centro_sal,$folio, $wsClave); 
         $rsLstDiagnostico  = new SimpleXMLElement(utf8_encode($getDiagnosticos));



                
                ?>
                 
                    <table style="font-size: 12px; width: 95%; margin:auto;" class="table table-hover table-bordered" id="tblDiagnosticosNota" name="tblDiagnosticosNota">
                    <tbody>
                      <tr>                          
                          <th style="text-align: center; width: 100px;">Clave</th>
                          <th style="text-align: center;">Descripci&#243;n</th>   
                          <th style="text-align: center;">Interpretaci&#243;n</th>
                          <th style="text-align: center; width: 20px;">Primera Vez</th> 
                          <th style="text-align: center; width: 20px;">Confirmado</th>   
                           <th style="text-align: center; width: 20px;">Principal</th>                                   
                          <th style="text-align: center; width: 100px;">Opciones</th>                          
                        </tr>
                    <tbody>
                  <?php
 
                    $i=0;
                    foreach ($rsLstDiagnostico->respuesta as $reg) {
                      ++$i;
                    ?>  
                      <tr>
                            
                            <td style="text-align: center;"><?php echo utf8_decode($reg->cvecie10_dia); ?></td>
                            <td style="text-align: center;"><?php echo utf8_decode(ltrim(rtrim($reg->diagnostico))); ?></td>
                            <td style="text-align: center; width: 35%;"><textarea class="form-control" id="txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>" name="txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>" rows="4" style="font-size: 12px;" onchange=" var folio= <?php echo utf8_decode(ltrim(rtrim($folio)));?>; var observaciones = this.value;  var checkPrimeraVez = document.getElementById('checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrimeraVez.checked == true){pVez = 1; } else { pVez = 0;} var checkConfirmado = document.getElementById('checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkConfirmado.checked == true){confirmado = 1; } else { confirmado = 0;} var checkPrincipal = document.getElementById('checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrincipal.checked == true){principal = 1; } else { principal = 0;} let ascii = observaciones.toUpperCase().charCodeAt(0); if( ascii> 64 && ascii < 91){} else { $.notify('Error en captura de Interpretacíon, contiene caracteres NO validos');        $(this).focus();return false;} var valTxtObservaciones = observaciones.replace(/[^\w\s]|_/g, '').replace(/\s+/g, ' '); if(valTxtObservaciones.length <4){ $.notify('Interpretación capturada es demasiado corta'); $(this).focus(); return false;}  jqGetAjaxShort('tiposnotas/apartado/diagnostico_upd', 'searchContainer', {centro_sal: <?php echo $centro_sal; ?>, folio: folio, clave: '<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>', tipo_diagnostico: <?php echo $tipo_diagnostico; ?>, primera_vez: pVez,confirmado: confirmado, principal: principal, observaciones:  observaciones }, false);"><?php echo utf8_decode(ltrim(rtrim($reg->observaciones))); ?></textarea> </td>

                            <td style="text-align: center;"><input type="checkbox" name="checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>" id="checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>" value="" <?php if($reg->primeravez_dia == 1)echo 'checked="checked"'; ?> onchange=" var folio= <?php echo utf8_decode(ltrim(rtrim($folio)));?>; var observaciones = document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').value;  var checkPrimeraVez = document.getElementById('checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrimeraVez.checked == true){pVez = 1; } else { pVez = 0;} var checkConfirmado = document.getElementById('checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkConfirmado.checked == true){confirmado = 1; } else { confirmado = 0;} var checkPrincipal = document.getElementById('checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrincipal.checked == true){principal = 1; } else { principal = 0;} let ascii = observaciones.toUpperCase().charCodeAt(0); if( ascii> 64 && ascii < 91){} else { $.notify('Error en captura de Interpretacíon, contiene caracteres NO validos'); document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').focus();return false;} var valTxtObservaciones = observaciones.replace(/[^\w\s]|_/g, '').replace(/\s+/g, ' '); if(valTxtObservaciones.length <4){ $.notify('Interpretación capturada es demasiado corta');  document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').focus(); return false;}  jqGetAjaxShort('tiposnotas/apartado/diagnostico_upd', 'searchContainer', {centro_sal: <?php echo $centro_sal; ?>, folio: folio, clave: '<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>', tipo_diagnostico: <?php echo $tipo_diagnostico; ?>, primera_vez: pVez,confirmado: confirmado, principal: principal, observaciones:  observaciones }, false);" ></td>

                            <td style="text-align: center;"><input type="checkbox" name="checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>" id="checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>" value="" <?php if($reg->confirmado == 1)echo 'checked="checked"'; ?> onchange=" var folio= <?php echo utf8_decode(ltrim(rtrim($folio)));?>; var observaciones = document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').value;  var checkPrimeraVez = document.getElementById('checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrimeraVez.checked == true){pVez = 1; } else { pVez = 0;} var checkConfirmado = document.getElementById('checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkConfirmado.checked == true){confirmado = 1; } else { confirmado = 0;} var checkPrincipal = document.getElementById('checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrincipal.checked == true){principal = 1; } else { principal = 0;} let ascii = observaciones.toUpperCase().charCodeAt(0); if( ascii> 64 && ascii < 91){} else { $.notify('Error en captura de Interpretacíon, contiene caracteres NO validos'); document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').focus();return false;} var valTxtObservaciones = observaciones.replace(/[^\w\s]|_/g, '').replace(/\s+/g, ' '); if(valTxtObservaciones.length <4){ $.notify('Interpretación capturada es demasiado corta');  document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').focus(); return false;}  jqGetAjaxShort('tiposnotas/apartado/diagnostico_upd', 'searchContainer', {centro_sal: <?php echo $centro_sal; ?>, folio: folio, clave: '<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>', tipo_diagnostico: <?php echo $tipo_diagnostico; ?>, primera_vez: pVez,confirmado: confirmado, principal: principal, observaciones:  observaciones }, false);"> </td>
                            
                            <td style="text-align: center;"> <input type="checkbox" name="checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>" id="checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>" value="" <?php if($reg->principal == 1)echo 'checked="checked"'; ?> onchange=" var folio= <?php echo utf8_decode(ltrim(rtrim($folio)));?>; var observaciones = document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').value;  var checkPrimeraVez = document.getElementById('checkPrimeraVez_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrimeraVez.checked == true){pVez = 1; } else { pVez = 0;} var checkConfirmado = document.getElementById('checkConfirmado_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkConfirmado.checked == true){confirmado = 1; } else { confirmado = 0;} var checkPrincipal = document.getElementById('checkPrincipal_<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>'); if (checkPrincipal.checked == true){principal = 1; } else { principal = 0;} let ascii = observaciones.toUpperCase().charCodeAt(0); if( ascii> 64 && ascii < 91){} else { $.notify('Error en captura de Interpretacíon, contiene caracteres NO validos'); document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').focus();return false;} var valTxtObservaciones = observaciones.replace(/[^\w\s]|_/g, '').replace(/\s+/g, ' '); if(valTxtObservaciones.length <4){ $.notify('Interpretación capturada es demasiado corta');  document.getElementById('txt_observaciones_<?php echo ltrim(rtrim($reg->cvecie10_dia));?>').focus(); return false;} jqGetAjaxShort('tiposnotas/apartado/diagnostico_upd', 'searchContainer', {centro_sal: <?php echo $centro_sal; ?>, folio: folio, clave: '<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>', tipo_diagnostico: <?php echo $tipo_diagnostico; ?>, primera_vez: pVez,confirmado: confirmado, principal: principal, observaciones:  observaciones }, false); "> </td>

                            <td style="text-align: center;"><br><span class="fa fa-times tirar" onclick="jqGetAjaxShort('tiposnotas/apartado/upStatusDiagnostico','tblDiagnosticos', { centro_sal: <?php echo $centro_sal; ?> , folio: <?php echo utf8_decode(ltrim(rtrim($folio)));?>,clave: '<?php echo ltrim(rtrim($reg->cvecie10_dia)); ?>' , tipo_diagnostico:<?php echo $tipo_diagnostico; ?>  });"></span> </td>
                            
                            
                      </tr>
                    <?php 
                    }
                    ?>
                   </table> 
              

              <input type="hidden" id="hError" name="hError" value="0">
              <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="Ya han sido recuperado los datos completamente">
              <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="Ya han sido recuperado los datos completamente">
                <?php        
              return;
      }


     
      public function upDiagnostico(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];
        $clave=$_POST['clave'];
        $TIPO_DIAGNOSTICO=$_POST['tipo_diagnostico'];
        $PRIMERAVEZ_DIA=$_POST['primera_vez'];
        $CONFIRMADO=$_POST['confirmado'];
        $principal=$_POST['principal'];
        $Observaciones=$_POST['observaciones'];

        

        $objeto = $soapclient->Agenda_up_DiagnosticosNota( $centro_sal, $folio, $clave, $TIPO_DIAGNOSTICO, $PRIMERAVEZ_DIA, $CONFIRMADO, $principal, $Observaciones, $wsClave);
       
         $xml  = new SimpleXMLElement(utf8_encode($objeto));
              
        //echo utf8_decode($xml->respuesta->titulo);
        ?>
              <input type="hidden" id="hError" name="hError" value="<?php echo $xml->respuesta->error;  ?>">
              <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($xml->respuesta->titulo);  ?>">
              <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($xml->respuesta->descripcion);  ?>">
        <?php        
        return;
    }


    
    public function upStatusDiagnostico(){
        session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
        $var = ejLib::getInstance();
        $soapclient = $var->getWs();
        $wsClave = $var->get_wsClave();

        if(!isset($_POST['centro_sal']) || !isset($_POST['folio']) ) die("No dispone de suficientes privilegios de acceso para realizar esta acción");

        $centro_sal=$_POST['centro_sal'];
        $folio=$_POST['folio'];
        $clave=$_POST['clave'];
        $TIPO_DIAGNOSTICO=$_POST['tipo_diagnostico'];
       


      $objeto = $soapclient->Agenda_up_statusDiagnosticosNota( $centro_sal, $folio, $clave, $TIPO_DIAGNOSTICO, $wsClave);
        
         $xml  = new SimpleXMLElement(utf8_encode($objeto));
       //  print_r($xml); die();
         echo $var->getView('Agenda\FuncionesController@getLstDiagnosticosNota','folio='.$folio.'&centro_sal='.$centro_sal.'&tipo_diagnostico='.$TIPO_DIAGNOSTICO);       
        //echo utf8_decode($xml->respuesta->titulo);
        ?>
             
        <?php        
        return;
    }

     // 09 Abril 2024 Procedimiento para agregar contrareferencia desde nota médica
    public function addContrareferenciaNota(){
      $var = ejLib::getInstance();
       
      $id_solicitud='';
      $Clues_origen='';
      $folio='';        
      $centro_sal='';     
      $Centro_SalRemoto='';
      $id_especialidad='';
      $clave_Pac='';        
      $consec='';      
      
      if(isset($_POST['id_solicitud']))$id_solicitud=$_POST['id_solicitud'];
      if(isset($_POST['Clues_origen']))$Clues_origen=$_POST['Clues_origen'];
      if(isset($_POST['folio']))$folio=$_POST['folio'];
      if(isset($_POST['centro_sal']))$centro_sal=$_POST['centro_sal'];
      if(isset($_POST['Centro_SalRemoto']))$Centro_SalRemoto=$_POST['Centro_SalRemoto'];
      if(isset($_POST['id_especialidad']))$id_especialidad=$_POST['id_especialidad'];
      if(isset($_POST['clave_Pac']))$clave_Pac=$_POST['clave_Pac'];
      if(isset($_POST['consec']))$consec=$_POST['consec'];
         

      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();
    

      $objContrareferencia = $soapclient->ConsultaExterna_add_ContraReferencia($id_solicitud, $Clues_origen, $folio, $centro_sal,$Centro_SalRemoto, $id_especialidad, $clave_Pac, $consec, $wsClave);
     
   

 
     echo $var->getView('Agenda\FuncionesController@getLstContrareferenciaNota','centro_sal='.$centro_sal.'&Clave_Pac='.$clave_Pac.'&folio='.$folio);
    }


   




}

